# Uses of Class
java.security.Identity

Packages that use Identity
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of Identity in java.security

Subclasses of Identity in java.security
Modifier and Type
Class
Description
`class`
`IdentityScope`
Deprecated, for removal: This API element is subject to removal in a future version.
This class is deprecated and subject to removal in a future version of Java SE.
`class`
`Signer`
Deprecated, for removal: This API element is subject to removal in a future version.
This class is deprecated and subject to removal in a future version of Java SE.
Methods in java.security that return Identity
Modifier and Type
Method
Description
`abstract Identity`
IdentityScope.`getIdentity(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the `Identity` in this scope with the specified name (if any).
`Identity`
IdentityScope.`getIdentity(Principal principal)`
Deprecated, for removal: This API element is subject to removal in a future version.
Retrieves the `Identity` whose name is the same as that of the specified principal.
`abstract Identity`
IdentityScope.`getIdentity(PublicKey key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Retrieves the `identity` with the specified public key.
Methods in java.security that return types with arguments of type Identity
Modifier and Type
Method
Description
`abstract Enumeration<Identity>`
IdentityScope.`identities()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an enumeration of all identities in this identity scope.
Methods in java.security with parameters of type Identity
Modifier and Type
Method
Description
`abstract void`
IdentityScope.`addIdentity(Identity identity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds an `Identity` to this identity scope.
`protected boolean`
Identity.`identityEquals(Identity identity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Tests for equality between the specified `Identity` and this `Identity`.
`abstract void`
IdentityScope.`removeIdentity(Identity identity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes an `Identity` from this identity scope.